﻿using System.Collections.Immutable;
using Connected.Notifications;
using Connected.ServiceModel;

namespace Connected.Common.Workspace.Messaging;
public interface IMessagesService : IServiceNotifications<long>
{
	Task<ImmutableList<IMessage>> Query(QueryMessageArgs args);
	Task<IMessage?> Select(PrimaryKeyArgs<long> args);

	Task<long> Insert(InsertMessageArgs args);
	Task Update(UpdateMessageArgs args);
	Task Patch(PatchArgs<long> args);
	Task Delete(PrimaryKeyArgs<long> args);
}
